Bug 195270 - [PORT security/openssl] Added EXPCIPHERS (experimental ciphers) option
Summary: [PORT security/openssl] Added EXPCIPHERS (experimental ciphers) option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-22 00:39 UTC by Yuri Victorovich
Modified: 2018-03-10 10:54 UTC (History)
0 users

See Also:
dinoex: maintainer-feedback-


Attachments
patch (1.24 KB, patch)
2014-11-22 00:39 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2014-11-22 00:39:59 UTC
Created attachment 149706 [details]
patch

Some ciphers are considered experimental and excluded by default. One of them, 56 bit encryption, is considered "standard cipher" by https://github.com/drwetter/testssl.sh.git

EXPCIPHERS is for people who might need such ciphers for whatever reasons. It is "off" by default, so no need to rerun pourdriere test.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-22 00:39:59 UTC
Auto-assigned to maintainer dinoex@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2014-11-23 10:35:03 UTC
A commit references this bug:

Author: dinoex
Date: Sun Nov 23 10:34:38 UTC 2014
New revision: 373140
URL: https://svnweb.freebsd.org/changeset/ports/373140

Log:
  - new option TLSEXPCIPHERS
  PR:		195270
  Submitted by:	yuri@rawbw.com

  - options ordered by function
  - extends descriptions

Changes:
  head/security/openssl/Makefile
Comment 3 Dirk Meyer freebsd_committer 2014-11-23 10:37:55 UTC
Committed with changes.

The File in "includes" is a symlink, and does not need to be patched.

The Chiphers are already in OpenSSL, but not enabled in TLS.

I renamed the Option to reflect this.
Comment 4 commit-hook freebsd_committer 2018-03-10 10:54:18 UTC
A commit references this bug:

Author: brnrd
Date: Sat Mar 10 10:53:36 UTC 2018
New revision: 464064
URL: https://svnweb.freebsd.org/changeset/ports/464064

Log:
  security/openssl: Cleanup

   - Remove EXPCIPHERS option (use security/openssl-unsafe) [1]
   - Move port variables not dependent on bsd.port.pre.mk up
   - Deleting man3 .pod files is redundant
   - bss_dgram.c modification is a no-op
   - Let openssl's Makefile install libs
   - Simplify stripping

  PR: 		195270 [1]

Changes:
  head/UPDATING
  head/security/openssl/Makefile